Bug 204553 - Extension to user feedback utility methods used for a long-lasting tasks
Extension to user feedback utility methods used for a long-lasting tasks
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Progress
7.1
All All
: P3 (vote)
: 7.3
Assigned To: Pavel Flaska
issues@platform
bugdb_11883137
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-01 22:33 UTC by Pavel Flaska
Modified: 2012-09-09 18:05 UTC (History)
4 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Extension to ProgressUtils class (19.19 KB, patch)
2011-11-01 22:58 UTC, Pavel Flaska
Details | Diff
Updated patch (20.93 KB, patch)
2012-08-28 10:08 UTC, Pavel Flaska
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Flaska 2011-11-01 22:33:46 UTC
In JDEV, there is a requirement to provide 'standard' user phased feedback processing for a long lasting tasks:
- Show a wait cursor when a task runs more than 1s,
- show a dialog when a task runs more than 3s.

This could be achievable with current ProgressUtils.runOffEventDispatchThread method in the ProgressUtils class, but in JDEV we need a custom panel in a dialog.

Proposal:
Extend the ProgressUtils class:
- add method runOffEventThreadWithProgressDialog() - it displays progress component in a dialog.
- add method runOffEventThreadWithCustomDialogContent() - it displays provided panel in a dialog.
Comment 1 Pavel Flaska 2011-11-01 22:58:49 UTC
Created attachment 112703 [details]
Extension to ProgressUtils class
Comment 2 Jaroslav Tulach 2011-11-02 16:01:36 UTC
Y01 Find more project neutral name than JdevProgressExt
Y02 At least a sign of test would be nice
Comment 3 Jesse Glick 2011-11-02 16:12:13 UTC
[JG01] Missing <class> in apichanges.xml.


[JG02] Use {@link ...} on Cancelable, which would be a good way to find out you spelled it differently than the actual type name. (British and American spelling conventions differ a bit.)


[JG03, following Y01] Rename JdevProgressExt to Progress2.
Comment 4 Pavel Flaska 2012-08-28 10:08:29 UTC
Created attachment 123644 [details]
Updated patch

New patch with requested changes
Comment 5 Pavel Flaska 2012-08-29 16:05:14 UTC
I am going to integrate on Friday.
Comment 6 Quality Engineering 2012-09-04 01:10:01 UTC
Integrated into 'main-golden', will be available in build *201209040001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/a6a34b314d4b
User: Pavel Flaska <pflaska@netbeans.org>
Log: #204553: Extending the user feedback utility methods.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo